org.crosswire.bibledesktop.book.install

## Class InstallManagerComboBoxModel

- java.lang.Object
- - javax.swing.AbstractListModel
  - - org.crosswire.bibledesktop.book.install.InstallManagerComboBoxModel

- All Implemented Interfaces:
    Serializable, ComboBoxModel, ListModel

      public class InstallManagerComboBoxModel
      extends AbstractListModel
      implements ComboBoxModel

  A ListModel for a JList that uses the list of Installers given by the InstallManager.
  Author:
    Joe Walker
  See Also:
    `for license details.`, Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `(package private) class` | `InstallManagerComboBoxModel.CustomInstallerListener` Listens to the InstallManager for Installer changes

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private org.crosswire.jsword.book.install.InstallManager` | `imanager` The install manager that we are representing
    `private List<String>` | `names` A cache of the names in the Install Manager
    `private Object` | `selection` The currently selected object
    `private static long` | `serialVersionUID` Serialization ID

    - ### Fields inherited from class javax.swing.AbstractListModel

      `listenerList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InstallManagerComboBoxModel(org.crosswire.jsword.book.install.InstallManager imanager)` Simple ctor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getElementAt(int index)`
    `Object` | `getSelectedItem()`
    `int` | `getSize()`
    `private void` | `readObject(ObjectInputStream is)` Serialization support.
    `void` | `setSelectedItem(Object selection)`
    `protected void` | `update(org.crosswire.jsword.book.install.InstallerEvent ev)` Simple way to avoid eclipse private/protected warning

    - ### Methods inherited from class javax.swing.AbstractListModel

      `addListDataListener, fireContentsChanged, fireIntervalAdded, fireIntervalRemoved, getListDataListeners, getListeners, removeListDataListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.swing.ListModel

      `addListDataListener, removeListDataListener`

- - ### Field Detail

    - #### selection

          private Object selection

      The currently selected object

    - #### names

          private List<String> names

      A cache of the names in the Install Manager

    - #### imanager

          private transient org.crosswire.jsword.book.install.InstallManager imanager

      The install manager that we are representing

    - #### serialVersionUID

          private static final long serialVersionUID

      Serialization ID
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### InstallManagerComboBoxModel

          public InstallManagerComboBoxModel(org.crosswire.jsword.book.install.InstallManager imanager)

      Simple ctor

  - ### Method Detail

    - #### getSelectedItem

          public Object getSelectedItem()

      Specified by:
        `getSelectedItem` in interface `ComboBoxModel`

    - #### setSelectedItem

          public void setSelectedItem(Object selection)

      Specified by:
        `setSelectedItem` in interface `ComboBoxModel`

    - #### getSize

          public int getSize()

      Specified by:
        `getSize` in interface `ListModel`

    - #### getElementAt

          public final Object getElementAt(int index)

      Specified by:
        `getElementAt` in interface `ListModel`

    - #### update

          protected final void update(org.crosswire.jsword.book.install.InstallerEvent ev)

      Simple way to avoid eclipse private/protected warning

    - #### readObject

          private void readObject(ObjectInputStream is)
                           throws IOException,
                                  ClassNotFoundException

      Serialization support.
      Parameters:
        `is` -
      Throws:
        `IOException`
        `ClassNotFoundException`